NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAM::InspectionPolarGridBuilder Class Reference

Represents the builder for the CMM Inspection Polar Grid sub-operation. More...

Inheritance diagram for NXOpen::CAM::InspectionPolarGridBuilder:
NXOpen::CAM::InspectionMoveBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AlignMachineAxes ()
 Returns the flag to align with machine axes
Created in NX11.0.2. More...
 
NXOpen::PointAngleEndPoint ()
 Returns the angle end point
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarAngleModeTypes AngleMode ()
 Returns the angle mode
Created in NX11.0.2. More...
 
NXOpen::PointAngleStartPoint ()
 Returns the angle start point
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderApproachDist ()
 Returns the approach distance
Created in NX11.0.2. More...
 
NXOpen::PointCenterPoint ()
 Returns the center point
Created in NX11.0.2. More...
 
void CopyAttributes (NXOpen::CAM::InspectionPolarGridBuilder *target)
 Copy point grid parameters
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderMaximumRadius ()
 Returns the maximum radius
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes MaximumRadiusMode ()
 Returns the maximum radius mode
Created in NX11.0.2. More...
 
NXOpen::PointMaximumRadiusPoint ()
 Returns the maximum radius point
Created in NX11.0.2. More...
 
NXOpen::NXObjectMeasuredGeometry ()
 Returns the measured geometry
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderMinimumRadius ()
 Returns the minimum radius
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes MinimumRadiusMode ()
 Returns the minimum radius mode
Created in NX11.0.2. More...
 
NXOpen::PointMinimumRadiusPoint ()
 Returns the minimum radius point
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableIntBuilderNumberOfAngularPoints ()
 Returns the number of angular points
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableIntBuilderNumberOfRadialPoints ()
 Returns the number of radial points
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderOffsetEndAngle ()
 Returns the offset in degrees from end vector
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderOffsetMaximumRadius ()
 Returns the offset from maximum radius
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderOffsetMinimumRadius ()
 Returns the offset from minimum radius
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderOffsetStartAngle ()
 Returns the offset in degrees from start vector
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarPointSequenceTypes PointSequence ()
 Returns the point sequence mode
Created in NX11.0.2. More...
 
NXOpen::CAM::InheritableDoubleBuilderRetractDist ()
 Returns the retract distance
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarSequenceDirectionTypes SequenceDirection ()
 Returns the point sequence start direction
Created in NX11.0.2. More...
 
NXOpen::CAM::InspectionMethodBuilder::PolarSequenceStartTypes SequenceStart ()
 Returns the point sequence start location
Created in NX11.0.2. More...
 
void SetAlignMachineAxes (bool flag)
 Sets the flag to align with machine axes
Created in NX11.0.2. More...
 
void SetAngleEndPoint (NXOpen::Point *point)
 Sets the angle end point
Created in NX11.0.2. More...
 
void SetAngleMode (NXOpen::CAM::InspectionMethodBuilder::PolarAngleModeTypes angleMode)
 Sets the angle mode
Created in NX11.0.2. More...
 
void SetAngleStartPoint (NXOpen::Point *point)
 Sets the angle start point
Created in NX11.0.2. More...
 
void SetAppDistChanged (bool flag)
 Flag indicating whether approach distance changed. More...
 
void SetCenterPoint (NXOpen::Point *point)
 Sets the center point
Created in NX11.0.2. More...
 
void SetLayoutChanged (bool flag)
 Flag indicating whether layout changed. More...
 
void SetMaximumRadiusMode (NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes radiusMode)
 Sets the maximum radius mode
Created in NX11.0.2. More...
 
void SetMaximumRadiusPoint (NXOpen::Point *point)
 Sets the maximum radius point
Created in NX11.0.2. More...
 
void SetMeasuredGeometry (NXOpen::NXObject *face)
 Sets the measured geometry
Created in NX11.0.2. More...
 
void SetMinimumRadiusMode (NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes radiusMode)
 Sets the minimum radius mode
Created in NX11.0.2. More...
 
void SetMinimumRadiusPoint (NXOpen::Point *point)
 Sets the minimum radius point
Created in NX11.0.2. More...
 
void SetPointCoverageChanged (bool flag)
 Flag indicating whether point coverage changed. More...
 
void SetPointSequence (NXOpen::CAM::InspectionMethodBuilder::PolarPointSequenceTypes ptSeqMode)
 Sets the point sequence mode
Created in NX11.0.2. More...
 
void SetPointSequenceChanged (bool flag)
 Flag indicating whether point sequence changed. More...
 
void SetRetDistChanged (bool flag)
 Flag indicating whether retract distance changed. More...
 
void SetSequenceDirection (NXOpen::CAM::InspectionMethodBuilder::PolarSequenceDirectionTypes ptSeqDir)
 Sets the point sequence start direction
Created in NX11.0.2. More...
 
void SetSequenceStart (NXOpen::CAM::InspectionMethodBuilder::PolarSequenceStartTypes ptSeqStart)
 Sets the point sequence start location
Created in NX11.0.2. More...
 
void SetUseFeatureCollisionAvoidance (bool flag)
 Sets the flag to use feature collision avoidance
Created in NX11.0.2. More...
 
void SetUsePartCollisionAvoidance (bool flag)
 Sets the flag to use part collision avoidance
Created in NX11.0.2. More...
 
void UpdateFromSubOperation (NXOpen::CAM::InspectionMoveSubop *source)
 Update point grid parameters based on another sub-operation
Created in NX11.0.2. More...
 
void UpdateParamsFromGeometry ()
 Update point grid parameters based on geometry
Created in NX11.0.2. More...
 
bool UseFeatureCollisionAvoidance ()
 Returns the flag to use feature collision avoidance
Created in NX11.0.2. More...
 
bool UsePartCollisionAvoidance ()
 Returns the flag to use part collision avoidance
Created in NX11.0.2. More...
 
- Public Member Functions inherited from NXOpen::CAM::InspectionMoveBuilder
double AngleA ()
 Returns the A angle for an indexable head
Created in NX7.0.0. More...
 
double AngleB ()
 Returns the B angle for an indexable head
Created in NX7.0.0. More...
 
double ApproachDistance ()
 Returns the approach distance
Created in NX7.0.0. More...
 
void LockMove (bool lock)
 Set lock to prevent move parameters from being changed programmatically. More...
 
NXOpen::CAM::MoveBuilder::Motion MotionType ()
 Returns the motion type
Created in NX7.0.0. More...
 
NXOpen::CAM::InspectionMoveBuilder::ProbeTipTypes ProbeTipType ()
 Returns the preferred probe tip type
Created in NX9.0.1. More...
 
NXOpen::CAM::InspectionProbeTipTypeBuilderProbeTipTypeBuilder ()
 Returns the Probe Tip Type Builder
Created in NX9.0.1. More...
 
double RetractDistance ()
 Returns the retract distance
Created in NX7.0.0. More...
 
NXString SensorOpName ()
 Returns the inspection sensor operation name
Created in NX7.5.1. More...
 
NXOpen::CAM::InspectionMoveBuilder::SensorStrategyTypes SensorStrategy ()
 Returns the sensor selection strategy
Created in NX7.5.1. More...
 
NXOpen::CAM::InspectionSensorStrategyBuilderSensorStrategyBuilder ()
 Returns the Sensor Strategy Enum Builder
Created in NX9.0.0. More...
 
void SetAngleA (double angle)
 Sets the A angle for an indexable head
Created in NX7.0.0. More...
 
void SetAngleB (double angle)
 Sets the B angle for an indexable head
Created in NX7.0.0. More...
 
void SetApproachDistance (double distance)
 Sets the approach distance
Created in NX7.0.0. More...
 
void SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType)
 Sets the motion type
Created in NX7.0.0. More...
 
void SetParent (NXOpen::CAM::CAMObject *parent)
 Set parent
Created in NX7.0.0. More...
 
void SetProbeAngles ()
 Set default values for probe angles based on feature type. More...
 
void SetProbeTip ()
 Set default probe tip based on preferred tip type and probe angles. More...
 
void SetProbeTipType (NXOpen::CAM::InspectionMoveBuilder::ProbeTipTypes tipType)
 Sets the preferred probe tip type
Created in NX9.0.1. More...
 
void SetRetractDistance (double distance)
 Sets the retract distance
Created in NX7.0.0. More...
 
void SetSensorOpName (const NXString &sensorOpName)
 Sets the inspection sensor operation name
Created in NX7.5.1. More...
 
void SetSensorOpName (const char *sensorOpName)
 Sets the inspection sensor operation name
Created in NX7.5.1. More...
 
void SetSensorStrategy (NXOpen::CAM::InspectionMoveBuilder::SensorStrategyTypes sensorStrategy)
 Sets the sensor selection strategy
Created in NX7.5.1. More...
 
void SetSibling (NXOpen::CAM::CAMObject *sibling)
 Set sibling
Created in NX7.0.0. More...
 
void SetTipAngleMode (NXOpen::CAM::InspectionMoveBuilder::TipAngleTypes tipAngleMode)
 Sets the tip angle selection mode
Created in NX7.0.0. More...
 
void SetTipMode (NXOpen::CAM::InspectionMoveBuilder::TipModeTypes tipMode)
 Sets the probe tip selection mode
Created in NX7.0.0. More...
 
void SetTipNumber (int tipNumber)
 Sets the probe tip number
Created in NX7.0.0. More...
 
NXOpen::CAM::InspectionMoveBuilder::TipAngleTypes TipAngleMode ()
 Returns the tip angle selection mode
Created in NX7.0.0. More...
 
NXOpen::CAM::InspectionMoveBuilder::TipModeTypes TipMode ()
 Returns the probe tip selection mode
Created in NX7.0.0. More...
 
int TipNumber ()
 Returns the probe tip number
Created in NX7.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::CAM::InspectionMoveBuilder
enum  DepthMethodTypes {
  DepthMethodTypesAuto = -1, DepthMethodTypesDistance, DepthMethodTypesFromFeatureNominal, DepthMethodTypesFromFeatureActual,
  DepthMethodTypesFromDatum
}
 the depth method More...
 
enum  ProbeTipTypes { ProbeTipTypesAny = -1, ProbeTipTypesSphere, ProbeTipTypesCylinder, ProbeTipTypesDisk }
 the preferred probe tip type More...
 
enum  SensorStrategyTypes { SensorStrategyTypesCreateAsNeeded, SensorStrategyTypesUseExisting }
 the sensor selection strategy More...
 
enum  TipAngleTypes { TipAngleTypesAuto, TipAngleTypesSpecify, TipAngleTypesExisting }
 the tip angle selection mode More...
 
enum  TipModeTypes { TipModeTypesAuto, TipModeTypesSpecify, TipModeTypesExisting }
 the tip selection mode More...
 

Detailed Description

Represents the builder for the CMM Inspection Polar Grid sub-operation.


To create a new instance of this class, use NXOpen::CAM::InspectionMoveCollection::CreateInspectionPolarGridBuilder

Created in NX11.0.2.

Member Function Documentation

bool NXOpen::CAM::InspectionPolarGridBuilder::AlignMachineAxes ( )

Returns the flag to align with machine axes
Created in NX11.0.2.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionPolarGridBuilder::AngleEndPoint ( )

Returns the angle end point
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarAngleModeTypes NXOpen::CAM::InspectionPolarGridBuilder::AngleMode ( )

Returns the angle mode
Created in NX11.0.2.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionPolarGridBuilder::AngleStartPoint ( )

Returns the angle start point
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::ApproachDist ( )

Returns the approach distance
Created in NX11.0.2.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionPolarGridBuilder::CenterPoint ( )

Returns the center point
Created in NX11.0.2.



License requirements : None

void NXOpen::CAM::InspectionPolarGridBuilder::CopyAttributes ( NXOpen::CAM::InspectionPolarGridBuilder target)

Copy point grid parameters
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
targettarget
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::MaximumRadius ( )

Returns the maximum radius
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes NXOpen::CAM::InspectionPolarGridBuilder::MaximumRadiusMode ( )

Returns the maximum radius mode
Created in NX11.0.2.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionPolarGridBuilder::MaximumRadiusPoint ( )

Returns the maximum radius point
Created in NX11.0.2.



License requirements : None

NXOpen::NXObject* NXOpen::CAM::InspectionPolarGridBuilder::MeasuredGeometry ( )

Returns the measured geometry
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::MinimumRadius ( )

Returns the minimum radius
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes NXOpen::CAM::InspectionPolarGridBuilder::MinimumRadiusMode ( )

Returns the minimum radius mode
Created in NX11.0.2.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionPolarGridBuilder::MinimumRadiusPoint ( )

Returns the minimum radius point
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableIntBuilder* NXOpen::CAM::InspectionPolarGridBuilder::NumberOfAngularPoints ( )

Returns the number of angular points
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableIntBuilder* NXOpen::CAM::InspectionPolarGridBuilder::NumberOfRadialPoints ( )

Returns the number of radial points
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::OffsetEndAngle ( )

Returns the offset in degrees from end vector
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::OffsetMaximumRadius ( )

Returns the offset from maximum radius
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::OffsetMinimumRadius ( )

Returns the offset from minimum radius
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::OffsetStartAngle ( )

Returns the offset in degrees from start vector
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarPointSequenceTypes NXOpen::CAM::InspectionPolarGridBuilder::PointSequence ( )

Returns the point sequence mode
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::InspectionPolarGridBuilder::RetractDist ( )

Returns the retract distance
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarSequenceDirectionTypes NXOpen::CAM::InspectionPolarGridBuilder::SequenceDirection ( )

Returns the point sequence start direction
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::InspectionMethodBuilder::PolarSequenceStartTypes NXOpen::CAM::InspectionPolarGridBuilder::SequenceStart ( )

Returns the point sequence start location
Created in NX11.0.2.



License requirements : None

void NXOpen::CAM::InspectionPolarGridBuilder::SetAlignMachineAxes ( bool  flag)

Sets the flag to align with machine axes
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetAngleEndPoint ( NXOpen::Point point)

Sets the angle end point
Created in NX11.0.2.



License requirements : None

Parameters
pointpoint
void NXOpen::CAM::InspectionPolarGridBuilder::SetAngleMode ( NXOpen::CAM::InspectionMethodBuilder::PolarAngleModeTypes  angleMode)

Sets the angle mode
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleModeanglemode
void NXOpen::CAM::InspectionPolarGridBuilder::SetAngleStartPoint ( NXOpen::Point point)

Sets the angle start point
Created in NX11.0.2.



License requirements : None

Parameters
pointpoint
void NXOpen::CAM::InspectionPolarGridBuilder::SetAppDistChanged ( bool  flag)

Flag indicating whether approach distance changed.


Created in NX11.0.2.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetCenterPoint ( NXOpen::Point point)

Sets the center point
Created in NX11.0.2.



License requirements : None

Parameters
pointpoint
void NXOpen::CAM::InspectionPolarGridBuilder::SetLayoutChanged ( bool  flag)

Flag indicating whether layout changed.


Created in NX11.0.2.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetMaximumRadiusMode ( NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes  radiusMode)

Sets the maximum radius mode
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
radiusModeradiusmode
void NXOpen::CAM::InspectionPolarGridBuilder::SetMaximumRadiusPoint ( NXOpen::Point point)

Sets the maximum radius point
Created in NX11.0.2.



License requirements : None

Parameters
pointpoint
void NXOpen::CAM::InspectionPolarGridBuilder::SetMeasuredGeometry ( NXOpen::NXObject face)

Sets the measured geometry
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
faceface
void NXOpen::CAM::InspectionPolarGridBuilder::SetMinimumRadiusMode ( NXOpen::CAM::InspectionMethodBuilder::PolarRadiusModeTypes  radiusMode)

Sets the minimum radius mode
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
radiusModeradiusmode
void NXOpen::CAM::InspectionPolarGridBuilder::SetMinimumRadiusPoint ( NXOpen::Point point)

Sets the minimum radius point
Created in NX11.0.2.



License requirements : None

Parameters
pointpoint
void NXOpen::CAM::InspectionPolarGridBuilder::SetPointCoverageChanged ( bool  flag)

Flag indicating whether point coverage changed.


Created in NX11.0.2.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetPointSequence ( NXOpen::CAM::InspectionMethodBuilder::PolarPointSequenceTypes  ptSeqMode)

Sets the point sequence mode
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
ptSeqModeptseqmode
void NXOpen::CAM::InspectionPolarGridBuilder::SetPointSequenceChanged ( bool  flag)

Flag indicating whether point sequence changed.


Created in NX11.0.2.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetRetDistChanged ( bool  flag)

Flag indicating whether retract distance changed.


Created in NX11.0.2.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetSequenceDirection ( NXOpen::CAM::InspectionMethodBuilder::PolarSequenceDirectionTypes  ptSeqDir)

Sets the point sequence start direction
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
ptSeqDirptseqdir
void NXOpen::CAM::InspectionPolarGridBuilder::SetSequenceStart ( NXOpen::CAM::InspectionMethodBuilder::PolarSequenceStartTypes  ptSeqStart)

Sets the point sequence start location
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
ptSeqStartptseqstart
void NXOpen::CAM::InspectionPolarGridBuilder::SetUseFeatureCollisionAvoidance ( bool  flag)

Sets the flag to use feature collision avoidance
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::SetUsePartCollisionAvoidance ( bool  flag)

Sets the flag to use part collision avoidance
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
flagflag
void NXOpen::CAM::InspectionPolarGridBuilder::UpdateFromSubOperation ( NXOpen::CAM::InspectionMoveSubop source)

Update point grid parameters based on another sub-operation
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
sourcesource
void NXOpen::CAM::InspectionPolarGridBuilder::UpdateParamsFromGeometry ( )

Update point grid parameters based on geometry
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

bool NXOpen::CAM::InspectionPolarGridBuilder::UseFeatureCollisionAvoidance ( )

Returns the flag to use feature collision avoidance
Created in NX11.0.2.



License requirements : None

bool NXOpen::CAM::InspectionPolarGridBuilder::UsePartCollisionAvoidance ( )

Returns the flag to use part collision avoidance
Created in NX11.0.2.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.